<?php

namespace Lc\SovBundle\Factory\File;

use Lc\SovBundle\Container\File\FileContainer;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\File\FileInterface;

class FileFactory extends AbstractFactory
{
    public function create(): FileInterface
    {
        $class = FileContainer::getEntityFqcn();
        $file = new $class;

        return $file;
    }

}
